import Vue from 'vue'
import { Form } from 'vant';
import { Field } from 'vant';
import { Button } from 'vant';
import 'vant/lib/index.css'
import { Uploader } from 'vant';
import { Toast } from 'vant';
import { Loading } from 'vant';
import { Lazyload } from 'vant';
import { Overlay } from 'vant';
import { Image as VanImage } from 'vant';
import { ImagePreview } from 'vant';
import { DropdownMenu, DropdownItem } from 'vant';
import { Icon } from 'vant';
import { DatetimePicker } from 'vant';
import { Popup } from 'vant';

Vue.use(Popup);
Vue.use(DatetimePicker);
Vue.use(Icon);
Vue.use(DropdownMenu);
Vue.use(DropdownItem);
// 全局注册
Vue.use(ImagePreview);
Vue.use(VanImage);
Vue.use(Overlay);
Vue.use(Lazyload);

// 注册时可以配置额外的选项
Vue.use(Lazyload, {
  lazyComponent: true,
});
Vue.use(Loading);
Vue.use(Toast);
Vue.use(Uploader);
Vue.use(Button);
Vue.use(Form);
Vue.use(Field);