import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "@/utils/rem.js";
import "@/utils/vant.js";
import "lib-flexible/flexible";
import "element-ui/lib/theme-chalk/index.css";
import "../theme/index.css";
import ElementUI from "element-ui";
Vue.config.productionTip = false;
Vue.use(ElementUI);

//全局路由守卫
router.beforeEach((to, from, next) => {
  document.title =
    "领队之家" + (to.meta.title ? "-" : "") + (to.meta.title || "");
  var states = sessionStorage.getItem("state");
  console.log(states, to);
  if (states == "1" || to.fullPath == "/login") {
    next();
  } else {
    next(`/login`);
  }
});
new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
